cluster: STABLE3 - config validation: improve shell wrapper

Fabio M. Di Nitto fabbione@fedoraproject.org
Thu Sep 3 13:49:00 GMT 2009


Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=11c12ef0b705e15b0b6af4728a3ffd8f4e1ea50a
Commit:        11c12ef0b705e15b0b6af4728a3ffd8f4e1ea50a
Parent:        8a7f5a96f6838df9b862f741559dc58d0675adc2
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Thu Sep 3 15:48:11 2009 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Thu Sep 3 15:48:11 2009 +0200

config validation: improve shell wrapper

add more error checking across the path and make ccs_config_validate
error unique vs xmlling.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 config/tools/xml/ccs_config_validate.in |   24 ++++++++++++++++++++----
 1 files changed, 20 insertions(+), 4 deletions(-)

diff --git a/config/tools/xml/ccs_config_validate.in b/config/tools/xml/ccs_config_validate.in
index 6891cd4..5c09a3e 100644
--- a/config/tools/xml/ccs_config_validate.in
+++ b/config/tools/xml/ccs_config_validate.in
@@ -17,7 +17,23 @@ fi
 [ -z "$CONFIG_LOADER" ] && CONFIG_LOADER=xmlconfig
 export COROSYNC_DEFAULT_CONFIG_IFACE=$CONFIG_LOADER:cmanpreconfig
 
-ccs_config_dump | xmllint \
-		--relaxng @SHAREDIR@/cluster.rng \
-		- >/dev/null
-exit $?
+tempfile=$(mktemp)
+
+if [ -z "$tempfile" ]; then
+	echo "Unable to create temp file"
+	exit 255
+fi
+
+if ! ccs_config_dump > $tempfile; then
+	rm -f $tempfile
+	echo "Unable to get the configuration"
+	exit 255
+fi
+
+xmllint \
+	--relaxng @SHAREDIR@/cluster.rng \
+	$tempfile >/dev/null
+res=$?
+
+rm -f $tempfile
+exit $res



More information about the Cluster-cvs mailing list